Virtual desktops
Desktop sessions bots use to work. 5 endpoints
GET /desktop-sessions
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/desktop-sessions' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}/desktop-sessions
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/desktop-sessions' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots/{botId}/desktop-sessions
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
task | string | length 0–2000 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/desktop-sessions' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'GET /desktop-sessions/{sessionId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
sessionId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/desktop-sessions/:sessionId' \
-H "Authorization: Bearer $LEX_TOKEN"POST /desktop-sessions/{sessionId}/stop
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
sessionId (path) | string | yes |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/desktop-sessions/:sessionId/stop' \
-H "Authorization: Bearer $LEX_TOKEN"